---------------------------------------------------------
--Instance Module Template for BossTactics
--refer www.bosstactics.net for howto create modules!
---------------------------------------------------------

--available buttontypes:
--f: rangedDPS, h: healer, t: tank, n:melee, b,x,y,z: boss
--empty captions are not "" please use " " or you will get exceptions!

--local variable definition dont change!!
local BT_main = LibStub("AceAddon-3.0"):GetAddon( "BossTactics" )

BT_Ruby = LibStub("AceAddon-3.0"):NewAddon("BT_Ruby","AceConsole-3.0");
local L = LibStub("AceLocale-3.0"):GetLocale("BT_Ruby")

--feel free to use localisations from the framework
local L_main = LibStub("AceLocale-3.0"):GetLocale("BossTactics")

local BabbleBoss = LibStub("LibBabble-Boss-3.0"):GetLookupTable();
local BabbleZone = LibStub("LibBabble-Zone-3.0"):GetLookupTable();

--db profile defaults add your boss-data here
local defaults = {
    profile = {
        ["instance"] = BabbleZone["The Ruby Sanctum"], --instance name
		["version"] = 1, --change this to a higher value for update handling (explained in a tutorial)
		["initial"] = true, --never change this flag!
		["id"] = "BT_Ruby", --very important this must be the same name as your module case sensitive!
		["info"] = L["info"], --a short text you can add to the info frame, optional
		["patchlevel"] = "3.0.8", --put in the patchlevel to which this guide belongs to
		["bosses"] = {
	            ["mode25"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Halion"],
                    ["ratext"] = L["ra Halion"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["25-Halion"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Halion"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion",
                            ["btnId"] = 5, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -361.5800762257849,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 46.74355571655431,
                                }, -- [1]
                                {
                                    ["y"] = -346.6623179677009,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 22.56105752932907,
                                }, -- [2]
                                {
                                    ["y"] = -371.1489150603815,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 21.03321219445693,
                                }, -- [3]
                                {
                                    ["y"] = -441.73865693343,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 260.5839452338573,
                                }, -- [4]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 197,
                                    ["y"] = -22,
                                    ["text"] = L["Pull Locations"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
			    ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion2",
                            ["btnId"] = 9, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -265.3393028098744,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 194.8061790059245,
                                }, -- [1]
                                {
                                    ["y"] = -247.9538615914764,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 160.7527739061102,
                                }, -- [2]
                                {
                                    ["y"] = -272.4403886556238,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 161.6926268502937,
                                }, -- [3]
                                {
                                    ["y"] = -346.7317162441099,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [4]
                                {
                                    ["y"] = -303.2552016873047,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [5]
                                {
                                    ["y"] = -268.5611755657044,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [6]
                                {
                                    ["y"] = -235.2470441838328,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [7]
                                {
                                    ["y"] = -250.478687834888,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 65.99632528007481,
                                }, -- [8]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 197,
                                    ["y"] = -22,
                                    ["text"] = L["Physical Realm"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
			    ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion2",
                            ["btnId"] = 10, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -265.3393028098744,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 294.8061790059245,
                                }, -- [1]
                                {
                                    ["y"] = -247.9538615914764,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 320.7527739061102,
                                }, -- [2]
                                {
                                    ["y"] = -272.4403886556238,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 321.6926268502937,
                                }, -- [3]
                                {
                                    ["y"] = -346.7317162441099,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [4]
                                {
                                    ["y"] = -303.2552016873047,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [5]
                                {
                                    ["y"] = -268.5611755657044,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [6]
                                {
                                    ["y"] = -235.2470441838328,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [7]
                                {
                                    ["y"] = -250.478687834888,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 425.99632528007481,
                                }, -- [8]
                                {
                                    ["y"] = -235.3393028098744,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 294.8061790059245,
                                }, -- [9]
                                {
                                    ["y"] = -326.7317162441099,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 219.4792406089446,
                                }, -- [10]
                                {
                                    ["y"] = -217.9538615914764,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 320.7527739061102,
                                }, -- [11]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 107,
                                    ["y"] = -22,
                                    ["text"] = L["Physical Realm heroic after meteor"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
			    ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Living inferno (heroic)"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                    [8] = {
                                        ["type"] = "z",
                                        ["caption"] = L["Living embers (heroic)"],
                                        ["r"] = 1,
                                        ["g"] = 150/255,
                                        ["b"] = 31/255,
                                    },
                                },
                            },
                        },
                        [4] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion1",
                            ["btnId"] = 6, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -325.7982268693327,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 363.8441687329301,
                                }, -- [1]
                                {
                                    ["y"] = -308.412803158068,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 381.6127885779085,
                                }, -- [2]
                                {
                                    ["y"] = -331.6654274670919,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 389.9557079101674,
                                }, -- [3]
                                {
                                    ["y"] = -426.932384100213,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 275.3901480385412,
                                }, -- [4]
                                {
                                    ["y"] = -313.1260035570939,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 273.0733240458903,
                                }, -- [5]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 177,
                                    ["y"] = -22,
                                    ["text"] = L["Transition Portal"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [5] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion3",
                            ["btnId"] = 9, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -260.4038318464466,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 310.7885911756799,
                                }, -- [1]
                                {
                                    ["y"] = -241.784487872925,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 334.7262345965437,
                                }, -- [2]
                                {
                                    ["y"] = -266.2711725012722,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 341.8351111166125,
                                }, -- [3]
                                {
                                    ["y"] = -345.4978835175195,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [4]
                                {
                                    ["y"] = -310.6583381039132,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [5]
                                {
                                    ["y"] = -238.9485423636039,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [6]
                                {
                                    ["y"] = -274.7305492842557,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [7]
                                {
                                    ["y"] = -277.6234980196081,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 466.9987191753921,
                                }, -- [8]

                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 177,
                                    ["y"] = -22,
                                    ["text"] = L["Shadow Realm Cutters"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [6] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion4",
                            ["btnId"] = 9, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -260.4038318464466,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 310.7885911756799,
                                }, -- [1]
                                {
                                    ["y"] = -241.784487872925,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 334.7262345965437,
                                }, -- [2]
                                {
                                    ["y"] = -266.2711725012722,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 341.8351111166125,
                                }, -- [3]
                                {
                                    ["y"] = -345.4978835175195,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [4]
                                {
                                    ["y"] = -310.6583381039132,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [5]
                                {
                                    ["y"] = -238.9485423636039,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [6]
                                {
                                    ["y"] = -274.7305492842557,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [7]
                                {
                                    ["y"] = -277.6234980196081,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 466.9987191753921,
                                }, -- [8]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 187,
                                    ["y"] = -22,
                                    ["text"] = L["Shadow Realm Heroic"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
			    ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
            ["mode10"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Halion"],
                    ["ratext"] = L["ra Halion"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Halion"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Halion"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion",
                            ["btnId"] = 5, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -361.5800762257849,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 46.74355571655431,
                                }, -- [1]
                                {
                                    ["y"] = -346.6623179677009,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 22.56105752932907,
                                }, -- [2]
                                {
                                    ["y"] = -371.1489150603815,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 21.03321219445693,
                                }, -- [3]
                                {
                                    ["y"] = -441.73865693343,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 260.5839452338573,
                                }, -- [4]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 197,
                                    ["y"] = -22,
                                    ["text"] = L["Pull Locations"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
			    ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion2",
                            ["btnId"] = 9, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -265.3393028098744,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 194.8061790059245,
                                }, -- [1]
                                {
                                    ["y"] = -247.9538615914764,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 160.7527739061102,
                                }, -- [2]
                                {
                                    ["y"] = -272.4403886556238,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 161.6926268502937,
                                }, -- [3]
                                {
                                    ["y"] = -346.7317162441099,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [4]
                                {
                                    ["y"] = -303.2552016873047,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [5]
                                {
                                    ["y"] = -268.5611755657044,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [6]
                                {
                                    ["y"] = -235.2470441838328,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [7]
                                {
                                    ["y"] = -250.478687834888,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 65.99632528007481,
                                }, -- [8]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 197,
                                    ["y"] = -22,
                                    ["text"] = L["Physical Realm"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
			    ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion2",
                            ["btnId"] = 10, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -265.3393028098744,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 294.8061790059245,
                                }, -- [1]
                                {
                                    ["y"] = -247.9538615914764,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 320.7527739061102,
                                }, -- [2]
                                {
                                    ["y"] = -272.4403886556238,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 321.6926268502937,
                                }, -- [3]
                                {
                                    ["y"] = -346.7317162441099,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [4]
                                {
                                    ["y"] = -303.2552016873047,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [5]
                                {
                                    ["y"] = -268.5611755657044,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [6]
                                {
                                    ["y"] = -235.2470441838328,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.4792406089446,
                                }, -- [7]
                                {
                                    ["y"] = -250.478687834888,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 425.99632528007481,
                                }, -- [8]
                                {
                                    ["y"] = -235.3393028098744,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 294.8061790059245,
                                }, -- [9]
                                {
                                    ["y"] = -326.7317162441099,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 219.4792406089446,
                                }, -- [10]
                                {
                                    ["y"] = -217.9538615914764,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 320.7527739061102,
                                }, -- [11]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 107,
                                    ["y"] = -22,
                                    ["text"] = L["Physical Realm heroic after meteor"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
			    ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Living inferno (heroic)"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                    [8] = {
                                        ["type"] = "z",
                                        ["caption"] = L["Living embers (heroic)"],
                                        ["r"] = 1,
                                        ["g"] = 150/255,
                                        ["b"] = 31/255,
                                    },
                                },
                            },
                        },
                        [4] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion1",
                            ["btnId"] = 6, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -325.7982268693327,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 363.8441687329301,
                                }, -- [1]
                                {
                                    ["y"] = -308.412803158068,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 381.6127885779085,
                                }, -- [2]
                                {
                                    ["y"] = -331.6654274670919,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 389.9557079101674,
                                }, -- [3]
                                {
                                    ["y"] = -426.932384100213,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 275.3901480385412,
                                }, -- [4]
                                {
                                    ["y"] = -313.1260035570939,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 273.0733240458903,
                                }, -- [5]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 177,
                                    ["y"] = -22,
                                    ["text"] = L["Transition Portal"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [5] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion3",
                            ["btnId"] = 9, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -260.4038318464466,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 310.7885911756799,
                                }, -- [1]
                                {
                                    ["y"] = -241.784487872925,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 334.7262345965437,
                                }, -- [2]
                                {
                                    ["y"] = -266.2711725012722,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 341.8351111166125,
                                }, -- [3]
                                {
                                    ["y"] = -345.4978835175195,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [4]
                                {
                                    ["y"] = -310.6583381039132,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [5]
                                {
                                    ["y"] = -238.9485423636039,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [6]
                                {
                                    ["y"] = -274.7305492842557,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [7]
                                {
                                    ["y"] = -277.6234980196081,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 466.9987191753921,
                                }, -- [8]

                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 177,
                                    ["y"] = -22,
                                    ["text"] = L["Shadow Realm Cutters"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [6] = {
                            ["source"] = "Interface\\Addons\\BT_Ruby\\Img\\map_Halion4",
                            ["btnId"] = 9, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -260.4038318464466,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 310.7885911756799,
                                }, -- [1]
                                {
                                    ["y"] = -241.784487872925,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 334.7262345965437,
                                }, -- [2]
                                {
                                    ["y"] = -266.2711725012722,
				    ["type"] = "h",
				    ["caption"] = " ",
				    ["x"] = 341.8351111166125,
                                }, -- [3]
                                {
                                    ["y"] = -345.4978835175195,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [4]
                                {
                                    ["y"] = -310.6583381039132,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [5]
                                {
                                    ["y"] = -238.9485423636039,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [6]
                                {
                                    ["y"] = -274.7305492842557,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4146415438392,
                                }, -- [7]
                                {
                                    ["y"] = -277.6234980196081,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 466.9987191753921,
                                }, -- [8]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 187,
                                    ["y"] = -22,
                                    ["text"] = L["Shadow Realm Heroic"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
			    ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Halion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Consumption"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
		},
    },
}

function BT_Ruby:OnInitialize()
 	--initialize database
    self.db = LibStub("AceDB-3.0"):New("BT_RubyDB", defaults, "Default") --change the name here
    self:CheckUpdate()

    table.insert(BT_main.modules,self.db.profile)
end;

------------------------------------------------
--this function is needed by the main program! dont touch it!
------------------------------------------------
function BT_Ruby:GetDefaults()
	return defaults;
end;

-----------------------------------------------
--handels updates in data
--refer to the tutorial how to get version changes!
-----------------------------------------------

function BT_Ruby:CheckUpdate()

	--the versions stored by the client musst be one more
	--because otherwise it woudnt been saved in the savedVariables
	if(not self.db.profile.initial)then
		if(defaults.profile.version+1 > self.db.profile.version)then
			if(defaults.profile.version >= 2)then
				BT_main:ShowUpdateInfoFrame()
			end
		end
	end
	self.db.profile.version = defaults.profile.version+1
	self.db.profile.initial = false
end;


----------------------------------------------------------------
--dont touch this functions!
----------------------------------------------------------------

function BT_Ruby:ResetData()
	self.db:ResetDB()
	self.db.profile.version = defaults.profile.version+1
	self:Print(L["Module resetted"])
end;

function BT_Ruby:OnEnable()
    -- Called when the addon is enabled
end

function BT_Ruby:OnDisable()
    -- Called when the addon is disabled
end